Package org.apache.ignite.plugin.extensions.communication

## Interface Message

- All Known Implementing Classes:
    `HandshakeMessage`, `HandshakeWaitMessage`, `JobStealingRequest`, `NodeIdMessage`, `RecoveryLastReceivedMessage`

      public interface Message

  Base class for all communication messages.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DIRECT_TYPE_SIZE` | Direct type size in bytes.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `short` | `directType()` | Gets message type.
    `default boolean` | `readFrom​(ByteBuffer buf, MessageReader reader)` | Deprecated. Use the code-generated `MessageSerializer` instead.
    `default boolean` | `writeTo​(ByteBuffer buf, MessageWriter writer)` | Deprecated. Use the code-generated `MessageSerializer` instead.

- - ### Field Detail

    - #### DIRECT_TYPE_SIZE

          static final int DIRECT_TYPE_SIZE

      Direct type size in bytes.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### writeTo

          @Deprecated
          default boolean writeTo​(ByteBuffer buf,
                                  MessageWriter writer)

      Deprecated.
      Use the code-generated `MessageSerializer` instead.
      Writes this message to provided byte buffer.
      Parameters:
        `buf` - Byte buffer.
        `writer` - Writer.
      Returns:
        Whether message was fully written.

    - #### readFrom

          @Deprecated
          default boolean readFrom​(ByteBuffer buf,
                                   MessageReader reader)

      Deprecated.
      Use the code-generated `MessageSerializer` instead.
      Reads this message from provided byte buffer.
      Parameters:
        `buf` - Byte buffer.
        `reader` - Reader.
      Returns:
        Whether message was fully read.

    - #### directType

          short directType()

      Gets message type.
      Returns:
        Message type.